<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ListPlataTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:form styleClass="jsfcrud_list_form">
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListPlataEmpty}" rendered="#{plataController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{plataController.items.rowCount > 0}">
                    <h:outputText value="#{plataController.pagination.pageFirstItem + 1}..#{plataController.pagination.pageLastItem + 1}/#{plataController.pagination.itemsCount}"/>&nbsp;
                    <h:commandLink action="#{plataController.previous}" value="#{bundle.Previous} #{plataController.pagination.pageSize}" rendered="#{plataController.pagination.hasPreviousPage}"/>&nbsp;
                    <h:commandLink action="#{plataController.next}" value="#{bundle.Next} #{plataController.pagination.pageSize}" rendered="#{plataController.pagination.hasNextPage}"/>&nbsp;
                    <h:dataTable value="#{plataController.items}" var="item" border="0" cellpadding="2" cellspacing="0" rowClasses="jsfcrud_odd_row,jsfcrud_even_row" rules="all" style="border:solid 1px">
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPlataTitle_plataId}"/>
                            </f:facet>
                            <h:outputText value="#{item.plataId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPlataTitle_iznos}"/>
                            </f:facet>
                            <h:outputText value="#{item.iznos}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPlataTitle_zaMesec}"/>
                            </f:facet>
                            <h:outputText value="#{item.zaMesec}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPlataTitle_korisnikId}"/>
                            </f:facet>
                            <h:outputText value="#{item.korisnikId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <h:commandLink action="#{plataController.prepareView}" value="#{bundle.ListPlataViewLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{plataController.prepareEdit}" value="#{bundle.ListPlataEditLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{plataController.destroy}" value="#{bundle.ListPlataDestroyLink}"/>
                        </h:column>
                    </h:dataTable>
                </h:panelGroup>
                <br />
                <h:commandLink action="#{plataController.prepareCreate}" value="#{bundle.ListPlataCreateLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ListPlataIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
